> For the complete documentation index, see [llms.txt](https://developer.acquire.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.acquire.io/rest-apis/conversation/snooze/create-snooze.md).

# Create Snooze

## Create Snooze

<mark style="color:green;">`POST`</mark> `https://{{account_id}}.acquire.io/api/v1/crm/follow-up/create`

Create a snooze. The body requires the following: \
\
`"contactId"` and/or `"caseId"`  \
\
&#x20;`"objectType"` set to `"case"`  \
\
`"scheduleDate"`  in `"YYYY-MM-DD HH:MM:SS"` format.

#### Headers

| Name                                            | Type   | Description         |
| ----------------------------------------------- | ------ | ------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer {{API\_KEY}} |

#### Request Body

| Name                                           | Type    | Description                                               |
| ---------------------------------------------- | ------- | --------------------------------------------------------- |
| scheduleDate<mark style="color:red;">\*</mark> | string  | Date when the snooze elapses. YYYY-MM-DD HH:MM:SS format. |
| objectType<mark style="color:red;">\*</mark>   | string  | "case"                                                    |
| caseId                                         | integer | The case ID (not required if contactId is present)        |
| contactId                                      | integer | The contact ID (not required if caseId is present)        |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "success": true,
    "message": "Snooze added successfully",
    "data": {
      "id": 3,
      "objectType": "case",
      "contactId": 53,
      "scheduleDate": "2020-05-28 12:30:00",
      "objectId": 53,
      "userId": 12,
      "message": "This is simple message",
      "users": [
        {
          "1": {
            "id": 1,
            "email": "user@gmail.com",
            "name": "User Name"
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}

## Body(raw)

```
{
    "caseId": null,
    "contactId": 9156872,
    "message": "",
    "objectId": 768,
    "objectType": "contact",
    "scheduleDate": "2022-04-05T13:44:12.000Z",
    "users": []
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.acquire.io/rest-apis/conversation/snooze/create-snooze.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
